Bug 164361 - gnome-keyboard-properties crashes when adding new layout
gnome-keyboard-properties crashes when adding new layout
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-07-27 04:49 EDT by Pontus Enhager
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-30 09:57:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pontus Enhager 2005-07-27 04:49:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
summary says it all

a bug-buddy report at bugzilla.gnome.org is available here:


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start gnome-keyboard-properties
2.add new layout

Actual Results:  bug-buddy started,

if started on the commandline, the following error is emitted:
** (gnome-keyboard-properties:3966): WARNING **: key AE00: keycode =
4294967295; not in range 8..255

Additional info:

I use a Microsoft natural keyboard and wants to use swedish and dvorak layouts
Comment 1 Pontus Enhager 2005-08-15 17:05:46 EDT
This bug now has a patch upstream which i have not yet verified whether it helps
me or not. I will make a try although the patch did not apply cleanly, i am not
a hacker though, so almost anyone would be better than me on testing this out.

See more on the subject in the gnome bugreport
Comment 2 Ray Strode [halfline] 2005-08-15 17:34:53 EDT
Okay, let's wait until a new release is pushed upstream and put into rawhide. 
If it fixes the problem for you then maybe we can do an FC4 update.
Comment 3 Gian Paolo Mureddu 2005-12-23 14:27:15 EST
I cano confirm this, and apparently there's already a fix in CVS for 2.10
(according to that gnome bugzilla's link.
Comment 4 Pontus Enhager 2006-03-30 04:02:45 EST
This is fixed with FC5 (Gnome 2.14)
Comment 5 Ray Strode [halfline] 2006-03-30 09:57:10 EST
Great, thanks.

Note You need to log in before you can comment on or make changes to this bug.